(function () {
    "use strict";

    angular.module('pos').factory('OMNIDashBoardService', factory);
    factory.$inject = ['$http', '$q'];

    function factory($http, $q) {
        var _GetTotais = function () {
            var deferred = $q.defer();
            //var args = { Pedido: Pedido, ProductID: ProductID };
            $http.post('/OMNIDashBoard/GetTotais')
                .success(function (data) { deferred.resolve(data); })
                .error(function (data, status, headers, config) { deferred.reject(data); });
            return deferred.promise;
        };
        var _GetChartRetiradosLocalXOutrasLojas = function () {
            var deferred = $q.defer();
            //var args = { Pedido: Pedido, ProductID: ProductID };
            $http.post('/OMNIDashBoard/GetChartRetiradosLocalXOutrasLojas')
                .success(function (data) { deferred.resolve(data); })
                .error(function (data, status, headers, config) { deferred.reject(data); });
            return deferred.promise;
        };

        var _GetDataChartPercentualVendasOMNI = function () {
            var deferred = $q.defer();
            //var args = { Pedido: Pedido, ProductID: ProductID };
            $http.post('/OMNIDashBoard/GetDataChartPercentualVendasOMNI')
                .success(function (data) { deferred.resolve(data); })
                .error(function (data, status, headers, config) { deferred.reject(data); });
            return deferred.promise;
        };

        return {
            GetTotais: _GetTotais,
            GetChartRetiradosLocalXOutrasLojas: _GetChartRetiradosLocalXOutrasLojas,
            GetDataChartPercentualVendasOMNI: _GetDataChartPercentualVendasOMNI
        };
    }

})();